Subject: [Pce] Shepherd's review of draft-ietf-pce-stateful-pce-app-05

From: Jonathan Hardwick <[email-masked]>
Date: Tue, 28 Jun 2016 11:54:42 +0000

Hi there

I have reviewed this document as document shepherd.  The document looks ready to be published to me, with a few minor fixes to nits in the text, as I have identified below.
The document has expired.  Please could you make the mark-ups below and refresh the document?

Many thanks
Jon

Section 3
Discovery is now defined in the base stateful PCE draft.  Replace reference to [I-D.sivabalan-pce-disco-stateful] with [I-D.ietf-pce-stateful-pce].

Section 4
4.2 "loading sharing" should be "load sharing".
4.3 "synchronizations procedures" should be "synchronization procedure"
4.3 "a network nodes" should be "a network node"

Section 5
5.3 says:

   If an active stateful PCE is available, the PCE can trigger
   the setup/deletion of scheduled requests in a centralized manner,
   without modification of existing head-end behaviors, by notifying the
   PCCs to set up or tear down the paths.

This would imply the stateful PCE was doing LSP initiation.  But LSP initiation does not seem to be covered by this document (not mentioned in section 3 or references) so this sentence seems misplaced.  Should it be removed?

5.4.1
"is for a working or for protection" should be "is for a working path or for protection".
"report the resource by a working or protection path" should be "report the resource as a working or protection path".
"compute carry out" should be "compute"

5.4.2
"exploited" sounds like a security breach.  Instead, say "used".

References
[I-D.ietf-pce-questions] is now [RFC7399].
[I-D.ietf-ccamp-flexi-grid-fwk] is now [RFC7698].
[I-D.ietf-ccamp-wson-signal-compatibility-ospf] is now [RFC7688].
[I-D.ietf-ccamp-gmpls-general-constraints-ospf-te] is now [RFC7580].
Remove reference to [I-D.sivabalan-pce-disco-stateful].